FROM php:8.1-apache

ENV TZ=America/Sao_Paulo

RUN apt-get update && apt-get install -y \
    unzip git zip && \
    rm -rf /var/lib/apt/lists/*

COPY --from=mlocati/php-extension-installer:latest \
     /usr/bin/install-php-extensions /usr/local/bin/

RUN a2enmod rewrite && \
    install-php-extensions gd intl pdo_mysql mysqli zip mbstring calendar

WORKDIR /var/www/html

RUN echo "DirectoryIndex login.php index.php" \
    > /etc/apache2/conf-available/directoryindex.conf && \
    a2enconf directoryindex

COPY app.zip /var/www/html/
RUN unzip -o app.zip && rm app.zip

RUN chown -R www-data:www-data /var/www/html

EXPOSE 80

CMD ["apache2-foreground"]
